Skip to content
IForevents Docs
IForevents Docs
InicioPanelGitHubPrivacidadTérminosSeguridadIntroducción
Referencia de la API
Audit log for the caller's organization (admin only) GETAudit log as CSV (admin only) GETInvite a user into the caller's organization (admin only) POSTList members of the caller's organization GETChange a member's role or enable state (admin only) PATCH
Soporte y SLA
API ReferenceEndpointsTeam

Change a member's role or enable state (admin only)

PATCH
/v1/team/{user_uuid}

Authorization

bearerAuth
AuthorizationBearer <token>

Session token issued by the accounts service (or the legacy /v1/auth routes).

In: header

Path Parameters

user_uuid*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/team/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "enabled": true,    "role_name": "admin"  }'
{  "message": "member updated"}

List members of the caller's organization GET

Previous Page

Confirm an email address POST

Next Page

enabled?boolean

false disables the member's login; omit to leave it unchanged.

role_name?string